package com.goafanti.common.model;

import java.io.Serializable;
import java.util.Date;

/**
 * task_time
 * @author 
 */
public class TaskTime implements Serializable {
    private Integer id;

    private Integer tid;

    /**
     * 项目状态 0=未启动，1=进行中，2=暂停（客户通知暂停），3=暂停（业务线通知暂停），4=已提交，5=未推荐，6=已推荐，7=未拟公示，8=已拟公示，28=抽查未备案，9=已备案，10=已下证 ，11=退单（已申报），12=退单（未申报），13=已答辩，14=未立项，15=已立项，16=前补助，17=后补助，18=立项已拨款，19=已完成/下证，20=已驳回，21=第1年进行中，22=第1年服务完成，23=第2年进行中，24=第2年服务完成，25=第3年进行中，26=第3年服务完成，27=所有会员服务全部完成， 29=暂停，99=未知
     */
    private Integer projectStatus;

    /**
     * 日期
     */
    private Date dateTime;

    /**
     * 暂停图片
     */
    private String suspendImg;

    /**
     * 标题
     */
    private String title;

    /**
     * 证书编号
     */
    private String certificateNumber;

    /**
     * 立项金额
     */
    private String setUpAmount;

    /**
     * 拨款
     */
    private String appropriation;

    /**
     * 创建时间
     */
    private Date createTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTid() {
        return tid;
    }

    public void setTid(Integer tid) {
        this.tid = tid;
    }

    public Integer getProjectStatus() {
        return projectStatus;
    }

    public void setProjectStatus(Integer projectStatus) {
        this.projectStatus = projectStatus;
    }

    public Date getDateTime() {
        return dateTime;
    }

    public void setDateTime(Date dateTime) {
        this.dateTime = dateTime;
    }

    public String getSuspendImg() {
        return suspendImg;
    }

    public void setSuspendImg(String suspendImg) {
        this.suspendImg = suspendImg;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getCertificateNumber() {
        return certificateNumber;
    }

    public void setCertificateNumber(String certificateNumber) {
        this.certificateNumber = certificateNumber;
    }

    public String getSetUpAmount() {
        return setUpAmount;
    }

    public void setSetUpAmount(String setUpAmount) {
        this.setUpAmount = setUpAmount;
    }

    public String getAppropriation() {
        return appropriation;
    }

    public void setAppropriation(String appropriation) {
        this.appropriation = appropriation;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}